import { IRecord } from '../upload-records';
import { DeepClient } from "@deep-foundation/deeplinks/imports/client";
export declare const delay: (time: number) => Promise<void>;
export interface IUseRecordingCycle {
    deep: DeepClient;
    containerLinkId: number;
    recording: boolean;
    duration: number;
}
export declare function useRecordingCycle({ deep, recording, containerLinkId, duration }: IUseRecordingCycle): IRecord[];
