import { VoiceRecorder } from "capacitor-voice-recorder";
import { uploadRecords } from "./upload-records";
export async function stopRecording({ deep, containerLinkId, startTime, }) {
    const { value: sound } = await VoiceRecorder.stopRecording();
    const endTime = new Date().toLocaleDateString();
    await uploadRecords({ deep, containerLinkId, records: [{ sound, startTime, endTime }] });
    return sound;
}
